# DCM/DFA Reporting And Trafficking API . sizes

## Instance Methods

Gets one size by ID.

Inserts a new size.

Retrieves a list of sizes, possibly filtered.

### Method Details

`get(profileId, id)`

    Gets one size by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Size ID. (required)

    Returns:
      An object of the form:

        { # Represents the dimensions of ads, placements, creatives, or creative assets.
        "width": 42, # Width of this size.
        "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
        "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
        "id": "A String", # ID of this size. This is a read-only, auto-generated field.
        "height": 42, # Height of this size.
      }

`insert(profileId, body)`

    Inserts a new size.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Represents the dimensions of ads, placements, creatives, or creative assets.
      "width": 42, # Width of this size.
      "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
      "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
      "id": "A String", # ID of this size. This is a read-only, auto-generated field.
      "height": 42, # Height of this size.
    }

    Returns:
      An object of the form:

        { # Represents the dimensions of ads, placements, creatives, or creative assets.
        "width": 42, # Width of this size.
        "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
        "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
        "id": "A String", # ID of this size. This is a read-only, auto-generated field.
        "height": 42, # Height of this size.
      }

`list(profileId, iabStandard=None, width=None, ids=None, height=None)`

    Retrieves a list of sizes, possibly filtered.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      iabStandard: boolean, Select only IAB standard sizes.
      width: integer, Select only sizes with this width.
      ids: string, Select only sizes with these IDs. (repeated)
      height: integer, Select only sizes with this height.

    Returns:
      An object of the form:

        { # Size List Response
        "kind": "dfareporting#sizesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#sizesListResponse".
        "sizes": [ # Size collection.
          { # Represents the dimensions of ads, placements, creatives, or creative assets.
            "width": 42, # Width of this size.
            "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
            "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
            "id": "A String", # ID of this size. This is a read-only, auto-generated field.
            "height": 42, # Height of this size.
          },
        ],
      }